Skip to main content
DELETE
/
v1
/
sellers
/
{id}
Deletar recebedor por ID
curl --request DELETE \
  --url https://api.malga.io/v1/sellers/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --header 'X-Client-Id: <api-key>' \
  --data '
{
  "merchantId": "4dbe1e43-7605-4e71-8973-76cfe16ce496"
}
'
import requests

url = "https://api.malga.io/v1/sellers/{id}"

payload = { "merchantId": "4dbe1e43-7605-4e71-8973-76cfe16ce496" }
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {
'X-Client-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({merchantId: '4dbe1e43-7605-4e71-8973-76cfe16ce496'})
};

fetch('https://api.malga.io/v1/sellers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": 123,
    "declinedCode": "<string>",
    "key": "<string>",
    "businessCode": "<string>",
    "message": "<string>",
    "details": "<array>"
  }
}
{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}

Authorizations

X-Client-Id
string
header
required
X-Api-Key
string
header
required

Path Parameters

id
string<uuid>
required

ID do seller

Body

application/json
merchantId
string
required

Identificação do merchant

Response

Recebedor removido com sucesso